aboutsummaryrefslogtreecommitdiffstats
path: root/dtc/scripts/kup-dtc
diff options
context:
space:
mode:
Diffstat (limited to 'dtc/scripts/kup-dtc')
-rwxr-xr-xdtc/scripts/kup-dtc32
1 files changed, 32 insertions, 0 deletions
diff --git a/dtc/scripts/kup-dtc b/dtc/scripts/kup-dtc
new file mode 100755
index 000000000..3c3376ce2
--- /dev/null
+++ b/dtc/scripts/kup-dtc
@@ -0,0 +1,32 @@
+#! /bin/sh
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+REMOTE_GIT=/pub/scm/utils/dtc/dtc.git
+REMOTE_PATH=/pub/software/utils/dtc
+
+set -e
+
+kup_one () {
+ VERSION="$1"
+
+ TAG="v$VERSION"
+
+ PREFIX="dtc-$VERSION/"
+ TAR="dtc-$VERSION.tar"
+ SIG="$TAR.sign"
+
+ git archive --format=tar --prefix="$PREFIX" -o "$TAR" "$TAG"
+ gpg --detach-sign --armor -o "$SIG" "$TAR"
+
+ ls -l "$TAR"*
+
+ # Verify the signature as a sanity check
+ gpg --verify "$SIG" "$TAR"
+
+ kup put --tar --prefix="$PREFIX" "$REMOTE_GIT" "$TAG" "$SIG" "$REMOTE_PATH/$TAR.gz"
+}
+
+for version; do
+ kup_one $version
+done
+